QGIS Application - Feature request #21286
[Expression]Add shortcut for (multiple) lines commenting when writing expressions
2019-02-15 02:52 PM - Harrissou Santanna

Status: Open

Priority: Normal

Assignee:

Category: Expressions

Pull Request or Patch supplied: Resolution: wontfix
Easy fix?: No Copied to github as #: 29104
Description

| often play with expression functions and while looking for the best expression, | sometimes need to comment parts of the code being
written in order to test the behavior of the rest or ignore it (and save it for later). This needs to be done by adding '--' to all the lines | want
to hide and again remove those characters later if | want to enable some lines. A bit not handy...

It could be nice to allow selection of multiple lines and pressing either a key or from the contextual window allow to apply "Comment" or
"Uncomment" functions.

History

#1 - 2019-02-18 06:20 AM - Nyall Dawson
You can always use the multiline comment style:
/

select * from ....

blah

more

*/
#2 - 2019-02-19 04:39 PM - Harrissou Santanna
Good to know. Thanks Nyall.
#3 - 2019-02-20 11:45 AM - Nyall Dawson

- Resolution set to wontfix

- Status changed from Open to Feedback

So can we close this?

#4 - 2019-02-20 04:16 PM - Harrissou Santanna

I'm not really sure. Now that | know there's no need to comment each line one by one, my workflow is sped up but the request was also about a shortcut, ie

| select the text or the rows and press some keys (or a button?) and they are (un)commented, like you can do on most of text editors.

#5 - 2019-02-26 06:51 PM - Harrissou Santanna
- Status changed from Feedback to Open
